Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.app.event
Interface ReferenceInsertionEventHandler

All Superinterfaces:
  EventHandler

All Known Implementing Classes:
  EscapeReference

public interface ReferenceInsertionEventHandler
extends EventHandler

Reference 'Stream insertion' event handler. Called with object that will be inserted into stream via value.toString(). Please return an Object that will toString() nicely :)

Version:
  $Id: ReferenceInsertionEventHandler.java 685685 2008-08-13 21:43:27Z nbubna $
Author:
  Will Glass-Husain, Geir Magnusson Jr.

Nested Class Summary
`static class` | `ReferenceInsertionEventHandler.referenceInsertExecutor` Defines the execution strategy for referenceInsert

Method Summary
`Object` | `referenceInsert(String reference, Object value)` A call-back which is executed during Velocity merge before a reference value is inserted into the output stream.

Method Detail

### referenceInsert

    public Object referenceInsert(String reference,
                                  Object value)

  A call-back which is executed during Velocity merge before a reference value is inserted into the output stream. All registered ReferenceInsertionEventHandlers are called in sequence. If no ReferenceInsertionEventHandlers are are registered then reference value is inserted into the output stream as is.

  Parameters:
    `reference` - Reference from template about to be inserted.
    `value` - Value about to be inserted (after its `toString()` method is called).
  Returns:
    Object on which `toString()` should be called for output.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.